<?xml version="1.0" encoding="US-ASCII"?>

<!--
Copyright (C) 2001,2002 Stichting LogReport Foundation LogReport@LogReport.org
 
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
     
You should have received a copy of the GNU General Public License
along with this program (see COPYING); if not, check with
http://www.gnu.org/copyleft/gpl.html. 

-->
  
  
 
<!--                    Namespace prefix for validation using the
                        DTD                                        -->
<!ENTITY % LIRE.xmlns.pfx    "lire"                                  >
<!ENTITY % LIRE.pfx          "%LIRE.xmlns.pfx;:"                     >
<!ENTITY % LIRE.xmlns.attr.name "xmlns:%LIRE.xmlns.pfx;"             >
<!ENTITY % LIRE.xmlns.attr
  "%LIRE.xmlns.attr.name; CDATA #FIXED 'http://www.logreport.org/LRML/'">

  
 
<!-- Include needed modules -->
<!ENTITY % lire-types.mod PUBLIC
    "-//LogReport.ORG//ENTITIES Lire Data Types V1.0//EN"
    "lire-types.mod">
%lire-types.mod;

<!ENTITY % lire-desc.mod PUBLIC
    "-//LogReport.ORG//ELEMENTS Lire Description Elements V1.0//EN"
    "lire-desc-1.0.mod">
%lire-desc.mod;

  

<!--                    Parameter entities which defines qualified
                        names of the elements                      -->
<!ENTITY % LIRE.report          "%LIRE.pfx;report"                   >
<!ENTITY % LIRE.section         "%LIRE.pfx;section"                  >
<!ENTITY % LIRE.subreport       "%LIRE.pfx;subreport"                >
<!ENTITY % LIRE.missing-subreport "%LIRE.pfx;missing-subreport"      >
<!ENTITY % LIRE.table           "%LIRE.pfx;table"                    >
<!ENTITY % LIRE.entry           "%LIRE.pfx;entry"                    >
<!ENTITY % LIRE.group           "%LIRE.pfx;group"                    >
<!ENTITY % LIRE.name            "%LIRE.pfx;name"                     >
<!ENTITY % LIRE.value           "%LIRE.pfx;value"                    >
<!ENTITY % LIRE.image           "%LIRE.pfx;image"                    >
<!ENTITY % LIRE.file            "%LIRE.pfx;file"                     >
<!ENTITY % LIRE.date            "%LIRE.pfx;date"                     >
<!ENTITY % LIRE.timespan        "%LIRE.pfx;timespan"                 >
<!ENTITY % LIRE.hostname        "%LIRE.pfx;hostname"                 >

<!-- ========================= Parameter entities ================ -->

<!--                    Meta-information content mix               -->
<!ENTITY % meta-infos.mix
                       "%LIRE.title;?, %LIRE.date;?, %LIRE.timespan;?, 
                        %LIRE.hostname;?, %LIRE.description;?"       >

  

<!ELEMENT %LIRE.report;      (%meta-infos.mix;, (%LIRE.section;)+)   >
<!ATTLIST %LIRE.report; 
             version         %number.type;                 #REQUIRED
             superservice    %superservice.type;           #IMPLIED
             %LIRE.xmlns.attr;                                       >

   
 
<!ELEMENT %LIRE.date;    (#PCDATA)                                   >
<!ATTLIST %LIRE.date;
             time        %number.type;                      #REQUIRED>
 
     

<!ELEMENT %LIRE.timespan;    (#PCDATA)                               >
<!ATTLIST %LIRE.timespan;
             start         %number.type;                    #REQUIRED
             end           %number.type;                    #REQUIRED>


    

<!ELEMENT %LIRE.hostname;    (#PCDATA)                               >

    


                      
<!ELEMENT %LIRE.section;      (%LIRE.title;, (%LIRE.description;)?, 
                               (%LIRE.subreport;)*)                  >

   

<!ELEMENT %LIRE.subreport;    (%meta-infos.mix;, %LIRE.table;, 
                               (%LIRE.image;)?)                      >
<!ATTLIST %LIRE.subreport;
             superservice   %superservice.type;             #REQUIRED
             type           CDATA                           #REQUIRED
             flags          NMTOKENS                        #IMPLIED >

   

<!ELEMENT %LIRE.missing-subreport; (EMPTY)                           >
<!ATTLIST %LIRE.missing-subreport;
             superservice   %superservice.type;            #REQUIRED
             reason         CDATA                          #IMPLIED
             type           CDATA                          #REQUIRED >

   

<!ELEMENT %LIRE.table;        ((%LIRE.entry;)*)                      >
<!ATTLIST %LIRE.table;
             charttype    (%chart.type;)                    #IMPLIED
             show         %int.type;                        #IMPLIED >

   

<!ELEMENT %LIRE.group;        (%LIRE.entry;)+                        >
<!ATTLIST %LIRE.group;
             show         %int.type;                        #IMPLIED >

   

<!--
                                                                   -->
<!ELEMENT %LIRE.entry;        ((%LIRE.name;)+, (%LIRE.value;)*, 
                               (%LIRE.group;)*)                      >

   

<!ELEMENT %LIRE.name;         (#PCDATA)                              >
<!ATTLIST %LIRE.name;
             value            CDATA                         #IMPLIED
             range            %number.type;                 #IMPLIED >

   

<!ELEMENT %LIRE.value;        (#PCDATA)                              >
<!ATTLIST %LIRE.value;
             value       %number.type;                      #IMPLIED 
             total       %number.type;                      #IMPLIED 
             n           %number.type;                      #IMPLIED >

   

<!ELEMENT %LIRE.image;        ((%LIRE.title;)?, %LIRE.file;)         >

    
 
<!ELEMENT %LIRE.file;         (#PCDATA)                              >
<!ATTLIST %LIRE.file; 
             format       CDATA                            #REQUIRED >

    
